package ca.recrown.islandsurvivalcraft.caching;

public class CacheDataSet<Key, Value> {
    private final UsageTracker<Key> usage;
    private Value val;

    public CacheDataSet(UsageTracker<Key> usageTracker) {
        this.usage = usageTracker;
    }

    /**
     * @return the usage tracker.
     */
    public UsageTracker<Key> getUsageTracker() {
        return usage;
    }

    /**
     * @return the data
     */
    public Value getValue() {
        return val;
    }

    /**
     * @param data the data to set
     */
    public void setValue(Value data) {
        this.val = data;
    }
}